package com.ruoyi.web.project.domain;

import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 项目表 sur_project_info
 * 
 * @author mkl
 * @date 2020-07-07
 */
public class WxProjectInfo extends BaseEntity
{
	private static final long serialVersionUID = 1L;
	
	/** id */
	private Integer id;
	/** 项目名称 */
	private String projectName;
	/** 项目简称 */
	private String simpleName;
	/** 所属区域 */
	private String projectRegional;
	/** 详细地址 */
	private String projectAddress;
	/** 项目类型 */
	private String projectType;
	/** 建设性质 */
	private String projectNature;
	/** 许可证号 */
	private String licenceNumber;
	/** 立项批文 */
	private String projectApproval;
	/** 备注信息 */
	private String projectRemark;
	/** 建设单位 */
	private String projectUnits;
	/** 统一信用码 */
	private String socialNumber;
	/** 项目负责人 */
	private String projectPerson;
	/** 负责人手机号 */
	private String projectPhone;
	/** 经度 */
	private String longitude;
	/** 纬度 */
	private String latitude;
	/** 所属公司id */
	private Integer deptId;
	/** 工程流水号 */
	private String streamNumber;
	/** 项目编号 */
	private String projectCode;
	/** 创建人 */
	private String createUser;
	/** 创建时间 */
	private Date createTime;
	/** 修改人 */
	private String updateUser;
	/** 修改时间 */
	private Date updateTime;

	/**
	 * 设置：id
	 */
	public void setId(Integer id) 
	{
		this.id = id;
	}
	
	/**
	 * 获取：id
	 */
	public Integer getId() 
	{
		return id;
	}
	
	/**
	 * 设置：项目名称
	 */
	public void setProjectName(String projectName) 
	{
		this.projectName = projectName;
	}
	
	/**
	 * 获取：项目名称
	 */
	public String getProjectName() 
	{
		return projectName;
	}
	
	/**
	 * 设置：项目简称
	 */
	public void setSimpleName(String simpleName) 
	{
		this.simpleName = simpleName;
	}
	
	/**
	 * 获取：项目简称
	 */
	public String getSimpleName() 
	{
		return simpleName;
	}
	
	/**
	 * 设置：所属区域
	 */
	public void setProjectRegional(String projectRegional) 
	{
		this.projectRegional = projectRegional;
	}
	
	/**
	 * 获取：所属区域
	 */
	public String getProjectRegional() 
	{
		return projectRegional;
	}
	
	/**
	 * 设置：详细地址
	 */
	public void setProjectAddress(String projectAddress) 
	{
		this.projectAddress = projectAddress;
	}
	
	/**
	 * 获取：详细地址
	 */
	public String getProjectAddress() 
	{
		return projectAddress;
	}
	
	/**
	 * 设置：项目类型
	 */
	public void setProjectType(String projectType) 
	{
		this.projectType = projectType;
	}
	
	/**
	 * 获取：项目类型
	 */
	public String getProjectType() 
	{
		return projectType;
	}
	
	/**
	 * 设置：建设性质
	 */
	public void setProjectNature(String projectNature) 
	{
		this.projectNature = projectNature;
	}
	
	/**
	 * 获取：建设性质
	 */
	public String getProjectNature() 
	{
		return projectNature;
	}
	
	/**
	 * 设置：许可证号
	 */
	public void setLicenceNumber(String licenceNumber) 
	{
		this.licenceNumber = licenceNumber;
	}
	
	/**
	 * 获取：许可证号
	 */
	public String getLicenceNumber() 
	{
		return licenceNumber;
	}
	
	/**
	 * 设置：立项批文
	 */
	public void setProjectApproval(String projectApproval) 
	{
		this.projectApproval = projectApproval;
	}
	
	/**
	 * 获取：立项批文
	 */
	public String getProjectApproval() 
	{
		return projectApproval;
	}
	
	/**
	 * 设置：备注信息
	 */
	public void setProjectRemark(String projectRemark) 
	{
		this.projectRemark = projectRemark;
	}
	
	/**
	 * 获取：备注信息
	 */
	public String getProjectRemark() 
	{
		return projectRemark;
	}
	
	/**
	 * 设置：建设单位
	 */
	public void setProjectUnits(String projectUnits) 
	{
		this.projectUnits = projectUnits;
	}
	
	/**
	 * 获取：建设单位
	 */
	public String getProjectUnits() 
	{
		return projectUnits;
	}
	
	/**
	 * 设置：统一信用码
	 */
	public void setSocialNumber(String socialNumber) 
	{
		this.socialNumber = socialNumber;
	}
	
	/**
	 * 获取：统一信用码
	 */
	public String getSocialNumber() 
	{
		return socialNumber;
	}
	
	/**
	 * 设置：项目负责人
	 */
	public void setProjectPerson(String projectPerson) 
	{
		this.projectPerson = projectPerson;
	}
	
	/**
	 * 获取：项目负责人
	 */
	public String getProjectPerson() 
	{
		return projectPerson;
	}
	
	/**
	 * 设置：负责人手机号
	 */
	public void setProjectPhone(String projectPhone) 
	{
		this.projectPhone = projectPhone;
	}
	
	/**
	 * 获取：负责人手机号
	 */
	public String getProjectPhone() 
	{
		return projectPhone;
	}
	
	/**
	 * 设置：经度
	 */
	public void setLongitude(String longitude) 
	{
		this.longitude = longitude;
	}
	
	/**
	 * 获取：经度
	 */
	public String getLongitude() 
	{
		return longitude;
	}
	
	/**
	 * 设置：纬度
	 */
	public void setLatitude(String latitude) 
	{
		this.latitude = latitude;
	}
	
	/**
	 * 获取：纬度
	 */
	public String getLatitude() 
	{
		return latitude;
	}
	
	/**
	 * 设置：所属公司id
	 */
	public void setDeptId(Integer deptId) 
	{
		this.deptId = deptId;
	}
	
	/**
	 * 获取：所属公司id
	 */
	public Integer getDeptId() 
	{
		return deptId;
	}
	
	/**
	 * 设置：工程流水号
	 */
	public void setStreamNumber(String streamNumber) 
	{
		this.streamNumber = streamNumber;
	}
	
	/**
	 * 获取：工程流水号
	 */
	public String getStreamNumber() 
	{
		return streamNumber;
	}
	
	/**
	 * 设置：项目编号
	 */
	public void setProjectCode(String projectCode) 
	{
		this.projectCode = projectCode;
	}
	
	/**
	 * 获取：项目编号
	 */
	public String getProjectCode() 
	{
		return projectCode;
	}
	
	/**
	 * 设置：创建人
	 */
	public void setCreateUser(String createUser) 
	{
		this.createUser = createUser;
	}
	
	/**
	 * 获取：创建人
	 */
	public String getCreateUser() 
	{
		return createUser;
	}
	
	/**
	 * 设置：创建时间
	 */
	public void setCreateTime(Date createTime) 
	{
		this.createTime = createTime;
	}
	
	/**
	 * 获取：创建时间
	 */
	public Date getCreateTime() 
	{
		return createTime;
	}
	
	/**
	 * 设置：修改人
	 */
	public void setUpdateUser(String updateUser) 
	{
		this.updateUser = updateUser;
	}
	
	/**
	 * 获取：修改人
	 */
	public String getUpdateUser() 
	{
		return updateUser;
	}
	
	/**
	 * 设置：修改时间
	 */
	public void setUpdateTime(Date updateTime) 
	{
		this.updateTime = updateTime;
	}
	
	/**
	 * 获取：修改时间
	 */
	public Date getUpdateTime() 
	{
		return updateTime;
	}
	
}
